import 'package:flutter/material.dart';
import 'package:flutter_html_textview_render/html_text_view.dart';

void main() => runApp(MyApp());

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Flutter Demo',
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: MyHomePage(title: 'Flutter Demo Home Page'),
    );
  }
}

class MyHomePage extends StatefulWidget {
  MyHomePage({Key key, this.title}) : super(key: key);

  final String title;

  @override
  _MyHomePageState createState() => _MyHomePageState();
}

class _MyHomePageState extends State<MyHomePage> {

  @override
  Widget build(BuildContext context) {
    String html = "<h1 style='text-align: center'>H1 centered</h1>" +
        "</br></br>"
        "<p style='color: #000000'>Hello World after line breaks and with custom color.</p>" +
        "<h2 style='text-align: right'>H2 aligned to the right with parent color</h2>" +
        "<a href='http://www.pixzelle.mx'>An anchor with the color established in the construction</a>" +
        "<p>This is an example of a <strong><a href='http://pixzelle.mx'>multiline p with various tags</a></strong>, it supports <em>italic</em>," +
        "<strong>bold</strong>, <em><strong>combinations</strong></em>, <a href='http://www.pixzelle.mx'>anchors</a>.</p><br/>" +
        "<p>We also can combine <a href='http://pixzelle.mx'><strong><em>Anchors with bold and italic</em></strong></a>." +
        "<p style='text-align: center; color: #00FF00'>" +
        "For styles, for the moment only text-alignment(left, center and right) and color for the font(HEX: #00FF00)." +
        "</p>";
    return Scaffold(
      appBar: AppBar(
        title: Text(widget.title),
      ),
      body: Container(
          margin: EdgeInsets.all(16.0),
          child: HtmlTextView(
            data: "<div style='color: #0000ff'>$html</div>",
            anchorColor: Color(0xFFFF0000),
          )),
    );
  }
}
